## org.eclipse.emf.codegen.ecore.genmodel.provider
Class GenBaseItemProvider.UnderlayedImage

    java.lang.Object
      org.eclipse.emf.edit.provider.ComposedImage
          org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider.UnderlayedImage

Enclosing class:
  GenBaseItemProvider

    public static class GenBaseItemProvider.UnderlayedImage

extends ComposedImage

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ComposedImage
`ComposedImage.Point, ComposedImage.Size`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ComposedImage
`images, imageSizes`

Constructor Summary
`GenBaseItemProvider.UnderlayedImage(java.lang.Object imageDescriptor)`
`GenBaseItemProvider.UnderlayedImage(java.lang.Object imageDescriptor, java.lang.Object multiplicity)`

Method Summary
`java.util.List<ComposedImage.Point>` `getDrawPoints(ComposedImage.Size size)`

Methods inherited from class org.eclipse.emf.edit.provider.ComposedImage
`equals, getImages, getSize, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenBaseItemProvider.UnderlayedImage

    public GenBaseItemProvider.UnderlayedImage(java.lang.Object imageDescriptor)

### GenBaseItemProvider.UnderlayedImage

    public GenBaseItemProvider.UnderlayedImage(java.lang.Object imageDescriptor,
                                               java.lang.Object multiplicity)

Method Detail

### getDrawPoints

    public java.util.List<ComposedImage.Point> getDrawPoints(ComposedImage.Size size)

  Overrides:
    `getDrawPoints` in class `ComposedImage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.